Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemPoolImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.ItemPoolImpl

public class ItemPoolImpl
extends java.lang.Object
implements ItemPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static int` | `INIT_MAP_SIZE`
`static int` | `LONG`
`static int` | `SHORT`

Constructor Summary
`ItemPoolImpl(ItemObjectFactory factory)`
`ItemPoolImpl(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`

Method Summary
`void` | `adjust(java.util.List poolObjects, AdjustmentDetail aDetail)`
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)`
`static java.lang.String` | `catMapToString(java.util.Map map, int size, int type)`
`PoolQuery` | `getByPrice(PoolQuery query)` Perform the query as specified by the query object passed in and return the query object with the results added.
`java.lang.String` | `getCurrency()`
`java.util.Map` | `getCurrentMap()`
`int` | `getCurrentSize()`
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, java.lang.String computation, java.lang.String reason, java.lang.Object discountID)`
`Quote` | `getQuote()`
`static java.lang.String` | `itemMapToString(java.util.Map map)`
`static java.lang.String` | `mapToString(java.util.Map map)`
`static java.lang.String` | `productItemListToString(java.util.List list)`
`void` | `remove(java.util.Iterator poolObjects)`
`void` | `remove(PoolObject poolObject)`
`void` | `set(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`
`static java.lang.String` | `skuMapToString(java.util.Map map, int size, int type)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHORT

    public static final int SHORT

### LONG

    public static final int LONG

### INIT_MAP_SIZE

    public static final int INIT_MAP_SIZE

Constructor Detail

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory)

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory,
                        com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                        Quote quote)
                 throws java.rmi.RemoteException,
                        CatalogFinderException,
                        CatalogException

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws java.rmi.RemoteException,
                    CatalogFinderException,
                    CatalogException

### set

    public void set(ItemObjectFactory factory,
                    com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws java.rmi.RemoteException,
                    CatalogFinderException,
                    CatalogException

### remove

    public void remove(java.util.Iterator poolObjects)

  Parameters:
    `List` - a set of PoolObjects to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `PoolObject`

### remove

    public void remove(PoolObject poolObject)

  Parameters:
    `PoolObject` - the object to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `PoolObject`

### getCurrentSize

    public int getCurrentSize()

  Specified by:
    getCurrentSize in interface ItemPool

### getQuote

    public Quote getQuote()

  Specified by:
    getQuote in interface ItemPool

### getCurrency

    public java.lang.String getCurrency()

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      java.lang.String computation,
                                      java.lang.String reason,
                                      java.lang.Object discountID)

### getByPrice

    public PoolQuery getByPrice(PoolQuery query)

  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.
  Specified by:
    getByPrice in interface ItemPool

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

### adjust

    public void adjust(java.util.List poolObjects,
                       AdjustmentDetail aDetail)

### getCurrentMap

    public java.util.Map getCurrentMap()

  Specified by:
    getCurrentMap in interface ItemPool

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(int type)

  Specified by:
    toString in interface ItemPool

### mapToString

    public static java.lang.String mapToString(java.util.Map map)

### itemMapToString

    public static java.lang.String itemMapToString(java.util.Map map)

### skuMapToString

    public static java.lang.String skuMapToString(java.util.Map map,
                                                  int size,
                                                  int type)

### catMapToString

    public static java.lang.String catMapToString(java.util.Map map,
                                                  int size,
                                                  int type)

### productItemListToString

    public static java.lang.String productItemListToString(java.util.List list)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved